Bug 1315341 - Artifact upload form doesn't check "empty" and "wrong extension" files
Artifact upload form doesn't check "empty" and "wrong extension" files
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium
: ER2
: 6.3.0
Assigned To: Shelly McGowan
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 08:54 EST by Jozef Marko
Modified: 2016-09-20 01:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2016-03-07 08:54:12 EST
Description of problem:
If user tries to upload "empty name" or "wrong extension" artifact (file) full stack trace is shown to user

Version-Release number of selected component (if applicable):
6.3.0.DR2


Steps to Reproduce:
1. Open artifact upload form
2. Try upload "empty name" file
3. Try to upload file with wrong extension - example: something.doc

Actual results:
In steps 2. and 3. full stack trace of exception is shown to user

Expected results:
No stack trace but short info about problem is shown
Comment 3 Jozef Marko 2016-04-05 03:38:21 EDT
Verified on 6.3.0.ER2

Note You need to log in before you can comment on or make changes to this bug.